Subject: [magma] IGMP v3 and Proxying

From: Dumet Sylvain <[email-masked]>
Date: Fri, 31 May 2002 13:20:21 +0200

Hi,

I have some issues with implementing IGMP proying with IGMP v3.

Assume the following scenario

	1- Host1 joins Stream A, specifying source A_1
	2- Proxy device processes the request and joins Stream A specifying
source A
	3- Host2 joins Stream A, specifying source A_2
	4- Proxy device combines the sources and reports Stream A, source
A_1 and A_2?
		
When the stream comes from a source (A_1 or A_2), the proxy device can
forward it to both hosts but Host1 wants that stream from source A_1 only,
same for Host2 that requires stream from source A_2 only. What will happen?

I did not find any related topic in IGMPv3 draft and IGMP proxy draft.

Did anyone already encounter that issue? How did you fix it?

Regards,
Sylvain

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: "Marshall Eubanks" <[email-masked]>
Date: Fri, 31 May 2002 07:48:22 -0400

On Fri, 31 May 2002 13:20:21 +0200
> Assume the following scenario

I am not sure I understand this. By IGMPv3 do you mean SSM ? 
If so, Stream "A" from source A_1 could be totally separate from 
Stream "A" from source A_2, and I know of no way to ensure that this is not the
case. If you mean ASM, then I do not see why IGMPv3 is different from v2.

If Host 1 and Host 2 are on the same LAN, they will both get both (S,G)'s at
the NIC card and both (if the channels use the same "G" == your Stream "A"
above) will process both sets of packets, only to reject the unwanted ones
somewhere in the kernel / application stack. Because of the limits of the
multicast MAC address, this is also true for a set of other G's that map to the
same MAC address.

Regards
Marshall Eubanks

---

From: Hitoshi Asaeda <[email-masked]>
Date: Fri, 31 May 2002 14:03:13 +0200 (MEST)

> same for Host2 that requires stream from source A_2 only. What will happen?

It doesn't depend on "proxy" or "IGMPv3 capable router".
On your condition, Host1 only receives A_1's data and Host2 only
receives A_2's data, even proxy or upstream router forwards A_1's and
A_2's data.
In both nodes, Stream A is received by physical link layer and
transfered to IP layer, but unneeded packet (i.e. non-joined (S,G)
data) is just dropped by UDP layer.
This behavior can be implemented by the IGMPv3 capable kernel of each
host.

> I did not find any related topic in IGMPv3 draft and IGMP proxy draft.

It may be unclear. But INCLUDE/EXCLUDE mode defines "source filter".
This implies above behavior.

> Did anyone already encounter that issue? How did you fix it?

Nothing would be fixed, I think.
--
Hitoshi Asaeda